use crate::app::{LocalApp, SharedLocalApp};

pub async fn get_local_app(registry: impl Into<String>) -> anyhow::Result<SharedLocalApp> {
    tracing_subscriber::fmt::init();

    tracing::debug!("Starting client commit");

    let app = SharedLocalApp::new(LocalApp::new(registry).await?);

    Ok(app)
}
